prod {base} | R Documentation

## Product of Vector Elements

### Description

`prod` returns the product of all the values present in its arguments.

### Usage

    prod(..., na.rm=TRUE)

### Details

If `na.rm` is `FALSE` an `NA` value in any of the arguments will cause a value of `NA` to be returned, otherwise `NA` values are ignored.

### See Also

`sum`, `cumprod`, `cumsum`.

### Examples

    print(prod(1:7)) == print(gamma(8))